1oom_classic_sdl2(6)

NAME
1oom_classic_sdl2 - SDL2 frontend for 1oom reimplementation of Master of Orion

SYNOPSIS
1oom [options]

DESCRIPTION
This manual page briefly documents the 1oom_classic_sdl2 command.

1oom is a re-implementation of the game engine from the classic Master of Orion game, developed by Simtex Software and published by Microprose in 1993. 1oom_classic_sdl2 is the SDL2 frontend to that engine.

OPTIONS
A summary of options is included below. For a complete description, see the documentation referenced below.

-?  Show command line options

-audio
    Enable audio

-c FILE.TXT
    Set config filename

-fs Enable fullscreen

-data PATH
    Set data directory

-log FILE.TXT
    Set log filename

-music
    Enable music

-nga AITYPE
    Set new game AI type (0..1)

-sfx
    Enable SFX

-user PATH
    Set user directory

FILES
1oom requires a copy of the Master of Orion (v1.3) LBX files. See /usr/share/doc/1oom/lbxmd5.txt for the expected MD5sums.

According to the XDG standard, 1oom will check the following directories for the LBX files (in order):

1.  $XDG_DATA_HOME/1oom

2.  $XDG_DATA_DIRS/1oom

3.  ~/.local/share/1oom

4.  /usr/share/games/master-of-orion

5.  /usr/share/1oom

6.  /usr/local/share/1oom

You can also override this and specify your own path to look for the LBX files by passing the command-line argument -data <path> when running 1oom. The given path is saved to the configuration file.

SEE ALSO
/usr/share/doc/1oom/usage_classic.txt, /usr/share/doc/1oom/usage_common.txt.